Actions
All operations require authentication.
List running tasksProduction
Returns the tasks running on the cluster.
Path parameters
Service name
Response
ID of task
Name of task
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ task \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "name": "string" }]
List the subtasks of a taskProduction
Returns the subtasks of the task, to follow its progress.
Path parameters
Service name
Task ID
Response
Creation date of the task
Finish date of the task
Name of the task
State of the task
DONEFAILEDIN PROGRESSType of the task
Example uses serviceName = string, taskId = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ task/ {taskId} \
-H "authorization: Bearer $OVH_TOKEN"[ { "createDate": "string", "finishDate": "string", "name": "string", "state": "DONE", "type": "string" }]
Change contactsProduction
Starts the change of the admin, tech or billing contact and returns the request IDs.
Path parameters
Service name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Request terminationProduction
Emails a termination token to the admin contact, to use with Confirm termination.
Path parameters
Service name
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"
Confirm terminationProduction
Confirms the termination with the token sent by email. The reason and comments are optional.
Path parameters
Service name
Request body (required)
Commentary about your termination request
Commentary about your future use
Commentary about your reason for termination request
All future uses you can provide for a service termination
NOT_REPLACING_SERVICEOTHERSUBSCRIBE_AN_OTHER_SERVICESUBSCRIBE_OTHER_KIND_OF_SERVICE_WITH_COMPETITORSUBSCRIBE_SIMILAR_SERVICE_WITH_COMPETITORAll reasons you can provide for a service termination
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by email to the admin contact
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ ceph/ {serviceName}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"